A023 - 403 Error: ASID is not configured in the application (INT)

Getting 403 from A023 with user auth

curl -X POST "https://int.api.service.nhs.uk/referrals/FHIR/STU3/CommunicationRequest/$ers.fetchworklist" \
-H "Authorization: Bearer XXXX" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/fhir+json" \
-H "NHSD-eRS-InterfaceVersion: 2" \
-H "NHSD-eRS-Business-Function: SERVICE_PROVIDER_CLINICIAN_ADMIN" \
-H "NHSD-End-User-Organisation-ODS: O6H3T" \
-H "NHSD-Session-URID: 555379785101" \
-d '{"resourceType": "Parameters", "meta": {"profile": ["https://fhir.nhs.uk/STU3/StructureDefinition/eRS-FetchWorklist-Parameters-1"]}, "parameter": [{"name": "listType", "valueCodeableConcept": {"coding": [{"system": "https://fhir.nhs.uk/STU3/CodeSystem/eRS-CommunicationListSelector-1", "code": "ADVICE_AND_GUIDANCE_REQUESTS"}]}}]}'", "event": "ers_ag_worklist_curl", "correlation_id": "ca01904e-dab3-434c-b4a4-45d6fb5f6b30", "level": "info", "timestamp": "2026-02-03T11:09:44.879390Z"

Hi @JamesG,

Having a look at your request I can see you are using an SPCA business function. Would you be able to try using one of these request headers in your request: NHSD-eRS-On-Behalf-Of-User-ID. The link will provide you with an example and should help you integrate this in your request. Let me know if this resolves your issue.

Thanks,

George